description: "This repository provides debian packages for [immich](https://immich.app/) and (almost) all required dependencies for convenience.\n\n## \U0001F680 Quick Start\n\n- For the all-in-one solution you'd want to install the `immich` package\n- For a more fine-grained installation use `immich-server`, `immich-machine-learning`, `immich-db-reqs`, `redis-server` and `immich-cli` in any combination. Please read the package description using `apt-cache show ...` what they provide and their dependencies are (until this apt repository has package detail pages).\n\n## ⚠️  Read before installing\n\n- Packages from `vips` and `mimalloc` are backported from a newer version and will update your system-provided one if installed. Make sure your other programs are compatible with it.\n- **NodeJS is not included** in this repository. Newer versions may be required than your system provides. Visit the [nodesource download page](https://downloads.nodesource.com/#debian) for instructions (having repository available is enough).\n- The `immich-db-reqs` package automatically enables vectorchord for postgresql. Don't use if you want to manually manage postgresql or its extensions. The all-in-one `immich` package can still be used if `--no-install-recommends` is used.\n- As this package provides an alternative installation method, there may be differences from the official Docker images. **Please verify any problems are also reproducible with their official Docker images before reporting upstream**.\n- Keep good security and backup hygiene. Never expose a service unprotected. Use a reverse proxy for TLS termination.\n\n## \U0001F4DD Good to know\n\n- By default the web interface is accessible at `http://localhost:2283`\n- Configuration files can be found at `/etc/immich/*`, everything should be configurable\n- The data folder is configured for `/var/lib/immich/data`\n- Changes to systemd units should be made with `systemctl edit ...`\n\n## \U0001F517 Resources\n\n- [Official Immich Documentation](https://docs.immich.app) For everything immich related and user guides\n- [Packaging Wiki](https://github.com/dionysius/immich-deb/wiki) For installation quides, advanced configuration options\n\n## \U0001F41B Issues\n\n- [Official Help Page](https://docs.immich.app/overview/help) - For issues with immich\n- [Issues](https://github.com/dionysius/immich-deb/issues) and [Discussions](https://github.com/dionysius/immich-deb/discussions) - For issues with or related to these packages\n"
packages:
    debug: true
    source: true
distributions:
    - noble
    - trixie
architectures:
    - amd64
    - arm64
retention:
    - pattern: '*.#.*'
      amount:
        - 5
    - pattern: '*.*.#'
      amount:
        - 3
verification:
    keys:
        - keys/github-dionysius-actions.asc
        - keys/obs-dionysius-immich.asc
        - keys/jellyfin-team.asc
feeds:
    - github: dionysius/immich-deb
      releases:
        - release
      tags:
        - debian/*
    - distributions:
        - Debian_13: trixie
        - xUbuntu_24.04: noble
      from_sources:
        - vips
        - mimalloc
      obs: home:dionysius:immich
      releases:
        - release
    - apt: https://repo.jellyfin.org
      distributions:
        - debian/trixie
        - ubuntu/noble
      from_sources:
        - jellyfin-ffmpeg
      packages:
        - '*'
        - '!jellyfin-ffmpeg6'
      releases:
        - release
    - distributions:
        - /: trixie
        - /: noble
      from_sources:
        - postgresql-*-vchord
        - '!*-13-*'
        - '!*-14-*'
        - '!*-15-*'
      github: tensorchord/VectorChord
      no_changes: true
      releases:
        - release
      tags:
        - 1.*
        - 0.5.*
        - 0.4.*
